source : [Instalación desatendida de Ubuntu 20.04 sobre OpenZFS](https://elpuig.xeill.net/Members/vcarceler/articulos/instalacion-desatendida-de-ubuntu-20-04-sobre-openzfs)

Traduction Google French :  

Script de préparation du disque avec OpenZFS.  

Heureusement, il est très pratique que la version de bureau vous permette de tester le système avant de lancer le programme d'installation. De cette façon, il est possible d'explorer le système de fichiers de l'image .iso et de trouver dans / usr / share / ubiquity / zsys-setup le script bash qui s'occupe de la préparation du disque. Ce n'est pas un script court mais il semble faire assez bien son travail.  

Là par exemple vous pouvez voir:  

- Comment les partitions sont créées selon qu'il s'agit d'un ordinateur avec BIOS (utilisant des partitions étendues) ou UEFI (utilisant des partitions GPT et une partition ESP).
- Comment la partition est définie pour le swap.
- La création des zpools bpool et rpool.
- La création des différents jeux de données.

Options pour le fichier préconfiguré  

Mais c'est une chose de savoir quel script le programme d'installation utilise et une autre est de découvrir l'option appropriée dans le fichier préconfiguré pour effectuer une installation sans assistance sur OpenZFS.  

Heureusement, Gonzalo Collado a tiré le fil jusqu'à ce qu'il trouve l'option:  

~~~
d-i ubiquity/use_zfs boolean true
~~~

Mais l'installateur a également besoin des options de partitionnement habituelles pour considérer qu'il n'y a pas d'erreurs. Ainsi le bloc dédié au partitionnement finit par être:

~~~
# Partitioning 
d-i ubiquity/use_zfs boolean true
d-i partman-auto/disk string /dev/sda
d-i partman-auto/method string regular
d-i partman-auto/choose_recipe select atomic
d-i partman-partitioning/confirm_write_new_label boolean true
d-i partman/choose_partition select finish
d-i partman/confirm boolean true
d-i partman/confirm_nooverwrite boolean true
d-i partman-lvm/device_remove_lvm boolean true
d-i preseed/early_command string umount /media
~~~
